%define	name	evfs
%define	version 0.0.1
%define release %mkrel 3

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightenment virtual file system
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Libraries
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libsmbclient-devel libxml2-devel curl-devel bzip2-devel
BuildRequires:	ecore-devel >= 0.9.9.038, eet-devel >= 0.9.10.038
buildrequires:	sqlite3-devel
BuildRequires:	gdb jade
#BuildRequires:	evas-devel ecore-devel edb-devel
#BuildRequires:	edje-devel emotion-devel
BuildRequires:	multiarch-utils
#BuildRequires:  edje embryo

%description
Enlightenment virtual file system.
This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%multiarch_binaries %buildroot/%_bindir/%name-config

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_bindir}/%name
%{_bindir}/evfscat
%{_bindir}/evfscopy
%{_bindir}/evfsdemo
#%dir %{_datadir}/%name
#%{_datadir}/%name/themes
#%{_datadir}/%name/images
%{_libdir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
#%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/%name
%{_bindir}/%name-config
%multiarch %multiarch_bindir/%name-config
#%{_datadir}/aclocal/*.m4
#%{_datadir}/%name/examples


%changelog
* Mon May 28 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-3mdv2007.1
+ Revision: 31958
- increase release
- adjust sqlite3-devel buildrequires

* Sat May 26 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 31305
- add sqlite3_0-devel buildrequires
- adjust buildrequires, CVS snapshot 20070524


* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.1-0.20060323.2mdv2007.1
+ Revision: 146020
- Rebuild for libcurl
- %%mkrel
- Import evfs

* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.0.1-0.20060323.1mdk
- initial package

